cmtspeech_buffer_s Struct Reference

Frame data buffer descriptor. More...

`#include <cmtspeech.h>`

## Data Fields

int | type
| buffer type (CMTSPEECH_BUFFER_TYPE_*)
int | count
| octets of valid data (including header)
int | pcount
| octets of valid payload data
int | size
| octets of allocated space
int | frame_flags
| frame flags; enum CMTSPEECH_DATATYPE_*
unsigned int | spc_flags
| speech codec flags for the frame; for UL: always set to zero, for DL: bitmask of CMTSPEECH_SPC_FLAGS_*
uint8_t * | data
| pointer to a buffer of 'size' octets
uint8_t * | payload
| pointer to frame payload
int | index
| library internal

## Detailed Description

Frame data buffer descriptor.

The documentation for this struct was generated from the following file:

- cmtspeech.h